import { ApplicationCommandOptionType } from 'discord.js';

export enum CommandsEnum {
  HELP = 'help',
  SETUP = 'setup',
}

export const commands = [
  {
    name: CommandsEnum.HELP,
    description: 'This is a help command!'
  },
  {
    name: CommandsEnum.SETUP,
    description: 'This is the setup command!',
    options: [
      {
        name: 'first-role',
        description: 'This is the first role!',
        type: ApplicationCommandOptionType.Role,
        required: true
      },
      {
        name: 'second-role',
        description: 'This is the second role!',
        type: ApplicationCommandOptionType.Role
      },
      {
        name: 'third-role',
        description: 'This is the third role!',
        type: ApplicationCommandOptionType.Role
      },
      {
        name: 'fourth-role',
        description: 'This is the fourth role!',
        type: ApplicationCommandOptionType.Role
      }
    ]
  },
];
